PATCH https://graph.microsoft.com/beta/me/profile/websites/{id}
Content-type: application/json
{
"description": "Lyn Damer play in the Women's 1st Division (Toppserien) in Norway"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personWebsite = new PersonWebsite
{
Description = "Lyn Damer play in the Women's 1st Division (Toppserien) in Norway"
};
await graphClient.Me.Profile.Websites["{personWebsite-id}"]
.Request()
.UpdateAsync(personWebsite);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonWebsite()
description := "Lyn Damer play in the Women's 1st Division (Toppserien) in Norway"
requestBody.SetDescription(&description)
personWebsiteId := "personWebsite-id"
graphClient.Me().Profile().WebsitesById(&personWebsiteId).Patch(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
Description = "Lyn Damer play in the Women's 1st Division (Toppserien) in Norway"
}
# A UPN can also be used as -UserId.
Update-MgUserProfileWebsite -UserId $userId -PersonWebsiteId $personWebsiteId -BodyParameter $params